#!/usr/bin/env node
"use strict";
const config = require('../config');
const util = require('../util');
// import * as program from 'commander';
var program = require("../../libnpm/commander");
var version = require("../../package.json").version;
setTimeout(() => {
    program.version(version)
        .command('native [name]', 'deploy one or more packages')
        .command('config [name]', 'get config')
        .command('nest [subcommand]', 'create/set/run a nest egret project')
        .command("publish", 'publish')
        .command("resource", 'resource')
        .command("libraries", "lib")
        .parse(process.argv);
}, 0);
exports.exceptionHandler = (e) => {
    if (typeof e == 'string') {
        console.error(e);
    }
    else {
        console.error(e.stack);
    }
};
function run(p, command, ignoreEgretProjectPath) {
    var result = p.parse(process.argv);
    var egretProjectPath = p.args[0];
    if (!ignoreEgretProjectPath) {
        // if (!egretProjectPath) {
        //   egretProjectPath = process.cwd();
        // }
        egretProjectPath = util.findValidatePathSync(egretProjectPath);
    }
    result["egretProjectPath"] = egretProjectPath;
    config.initConfig(egretProjectPath).
        then(() => config.getAllConfig()).
        then((projectConfig) => {
        for (var p in projectConfig) {
            result[p] = projectConfig[p];
        }
        command.run(result).catch(exports.exceptionHandler);
    }).catch(exports.exceptionHandler);
}
exports.run = run;
//# sourceMappingURL=egret-cli.js.map